Subject: Re: [PATCH] DTC: Improve options handling

From: David Gibson <[email-masked]>
Date: Sun, 18 Mar 2007 12:51:26 +1100

On Sat, Mar 17, 2007 at 08:35:47PM -0400, Jerry Van Baren wrote:
> David Gibson wrote:
> > On Sat, Mar 17, 2007 at 01:03:37PM -0400, Jerry Van Baren wrote:
> >> Hi David, Jon,
> >>
> >> Here is another fairly trivial patch for dtc.  It adds -h to get the 
> >> usage message.  It adds -q (-qq/-qqq) to suppress warnings/errors.
> >> It removes the -R option which is advertised but does nothing
> >> useful.
> > 
> > NAK.  -R does do something that I believe is useful.
> 
> Hi David,
> 
> -R sets a local variable reservenum to the specified value.  Nobody uses 
> reservenum, hence my conclusion that it does nothing useful.

Oops, looks like -R got broken when /memreserve/ was implemented.
It's supposed to add extra, empty, entries into the reserve map for
the benefit of dumb bootloaders that want to add reserve entries
without having to rearrange the blob.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson